<?php
/**
This Example shows how to create a contact via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$contact = array(
	"company-name"    => "A company",
	"type"            => "person",
	"name"            => "John",
	"last-name"       => "Smith",
	"title"           => "",
	"background-info" => "",
	"visibility"      => "selected-people",
	"allowed-users"   => array("INSERT A VALID USER ID","INSERT A VALID USER ID"),
	"contact-data"    => array(
		array(
			"entity-type"  => "phone",
			"entity-value" => "3476787XXX",
			"kind"         => "work"
		),
		array(
			"entity-type"  => "e-mail",
			"entity-value" => "test@gmail.com",
			"kind"         => "personal"
		)
	),
	"important-dates" => array(
		array(
			"type"          => "birthday",
			"is-every-year" => "1",
			"date"          => "19820705"
		)
	),
	"addresses" => array(
		array(
			"address" => "101 Santa Monica Boulevard",
			"city"    => "Santa Monica",
			"state"   => "California",
			"country" => "United States",
			"kind"    => "other"
		)
	),
	"attachments" => array("INSERT A VALID ATTACHMENT ID")
);

$retval = $api->createContact($contact);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
