<?php
/**
This Example shows how to update a contact via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$contact_id = "INSERT A VALID CONTACT ID";
$contact = array(
	"last-name"       => "Smithsson",
	"contact-data"    => array(
		array(
			"entity-type"  => "phone",
			"entity-value" => "22226787XXX",
			"kind"         => "work"
		),
		array(
			"id"           => "INSERT A VALID CONTACT DATA ID",
			"entity-value" => "test@gmail.com",
			"kind"         => "work"
		),
		array(
			"id"           => "INSERT A VALID CONTACT DATA ID PREFIXED WITH A - TO DELETE IT"
		)
	)
);

$retval = $api->updateContact($contact_id, $contact);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
